Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class RemoteFrameWrapperNode

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.RemoteResourceWrapperNode
            |
            +--org.w3c.jigadmin.editors.RemoteFrameWrapperNode

All Implemented Interfaces:
  javax.swing.tree.MutableTreeNode, RemoteNode, javax.swing.tree.TreeNode

public class RemoteFrameWrapperNode
extends RemoteResourceWrapperNode

The TreeNode for Frames

Field Summary

Fields inherited from class org.w3c.jigadmin.editors.RemoteResourceWrapperNode
`children, name, parent, rrw`

Constructor Summary
`protected` | `RemoteFrameWrapperNode(RemoteResourceWrapperNode parent, RemoteResourceWrapper rrw)` Constructor
`protected` | `RemoteFrameWrapperNode(RemoteResourceWrapperNode parent, RemoteResourceWrapper rrw, java.lang.String name)` Constructor
`protected` | `RemoteFrameWrapperNode(RemoteResourceWrapper rrw, java.lang.String name)` Constructor

Method Summary
`boolean` | `getAllowsChildren()` Returns true if this node is allowed to have children.
`protected static java.lang.String` | `getFrameName(RemoteResource frame)` Get the pretty ResourceFrame name
`protected static java.lang.String` | `getFrameName(RemoteResource frame, java.lang.String name)` Get the pretty ResourceFrame name
`protected void` | `loadChildren()` Load the children of this node.

Methods inherited from class org.w3c.jigadmin.editors.RemoteResourceWrapperNode
`acquireChildren, children, getChildAt, getChildCount, getIndex, getParent, getResourceWrapper, insert, isLeaf, nodeWillCollapse, nodeWillExpand, remove, remove, removeFromParent, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteFrameWrapperNode

    protected RemoteFrameWrapperNode(RemoteResourceWrapperNode parent,
                                     RemoteResourceWrapper rrw,
                                     java.lang.String name)

  Constructor

Parameters:
  `parent` - The parent node
  `rrw` - The associated RemoteResourceWrapper
  `name` - The name of this node

### RemoteFrameWrapperNode

    protected RemoteFrameWrapperNode(RemoteResourceWrapperNode parent,
                                     RemoteResourceWrapper rrw)
                              throws RemoteAccessException

  Constructor

Parameters:
  `parent` - The parent node
  `rrw` - The associated RemoteResourceWrapper

### RemoteFrameWrapperNode

    protected RemoteFrameWrapperNode(RemoteResourceWrapper rrw,
                                     java.lang.String name)

  Constructor

Parameters:
  `rrw` - The associated RemoteResourceWrapper
  `name` - The name of this node

Method Detail

### getFrameName

    protected static java.lang.String getFrameName(RemoteResource frame,
                                                   java.lang.String name)
                                            throws RemoteAccessException

  Get the pretty ResourceFrame name

  Parameters:
    `frame` - The ResourceFrame
    `name` - The ResourceFrame name
  Throws:
    `RemoteAccessException` - if a remote access error occurs.

### getFrameName

    protected static java.lang.String getFrameName(RemoteResource frame)
                                            throws RemoteAccessException

  Get the pretty ResourceFrame name

  Parameters:
    `frame` - The ResourceFrame
  Throws:
    `RemoteAccessException` - if a remote access error occurs.

### loadChildren

    protected void loadChildren()

  Load the children of this node.

  Overrides:
    `loadChildren` in class `RemoteResourceWrapperNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if this node is allowed to have children.

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getAllowsChildren` in class `RemoteResourceWrapperNode`
  Returns:
    true if this node allows children, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD